Downgrading Tanzu Greenplum Text

Tanzu Greenplum Text versions 3.7.0 and newer support downgrading to a previous version of Greenplum Text, down to version 3.6.0 at the oldest.

Downgrading a Tanzu Greenplum Text system installs the older Tanzu Greenplum Text software release on all hosts in the Greenplum cluster, and then downgrades the Tanzu Greenplum Text system.

Downgrading a Tanzu Greenplum Text Release

  1. Download the installer for your platform for the Tanzu Greenplum Text version to which you want to downgrade from Tanzu Network.

  2. Extract the release package. For example, if you downloaded Tanzu Greenplum Text version 3.6.0:

    $ tar xfz greenplum-text-3.6.0-<platform>.tar.gz
    
  3. Verify that ZooKeeper and Tanzu Greenplum Text are running.

    $ gptext-state
    
  4. Run the Tanzu Greenplum Text installer. For example:

    $ greenplum-text-3.6.0-<platform>.bin -d $TARGET_GPTEXTHOME 
    

NOTE: You must install old and new Tanzu Greenplum Text versions under the same parent directory.

  1. The installer prompts you to accept the license agreement and to choose and create the installation directory.

  2. The installer verifies the environment to ensure that prerequisites are present, such as Python and Java. If any problems are discovered, the installer outputs an error message and stops. Correct the problem identified by the error message and then follow the instructions in the message to continue downgrading.

  3. After the downgrade has completed, source the greenplum-text_path.sh in the Tanzu Greenplum Text release directory of the (older) version that you are downgrading to, and run gptext-state healthcheck to verify the Tanzu Greenplum Text system. For example:

    $ source /usr/local/greenplum-text-3.6.0/greenplum-text_path.sh
    $ gptext-state healthcheck